| The Red Matrix

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Pages
Public Member Functions | Public Attributes | List of all members
Redmatrix\Import\Import Class Reference

## Public Member Functions
| get_credentials ()
| get_itemlist ()
| get_item_ident ($item)
| get_item ($item_ident)
| get_taxonomy ($item_ident)
| get_children ($item_ident)
| convert_item ($item_ident)
| convert_taxonomy ($item_ident)
| convert_child ($child)
| store ($item, $update=false)
| run ()

## Public Attributes
| $credentials = null
| $itemlist = null
| $src_items = null
| $items = null

## Member Function Documentation

Redmatrix\Import\Import::convert_child | ( |  | $child | ) |

Referenced by Redmatrix\Import\Import\run().

Redmatrix\Import\Import::convert_item | ( |  | $item_ident | ) |

Referenced by Redmatrix\Import\Import\run().

Redmatrix\Import\Import::convert_taxonomy | ( |  | $item_ident | ) |

Referenced by Redmatrix\Import\Import\run().

Redmatrix\Import\Import::get_children | ( |  | $item_ident | ) |

Referenced by Redmatrix\Import\Import\run().

Redmatrix\Import\Import::get_credentials | ( |  | ) |

Referenced by Redmatrix\Import\Import\run().

Redmatrix\Import\Import::get_item | ( |  | $item_ident | ) |

Referenced by Redmatrix\Import\Import\run().

Redmatrix\Import\Import::get_item_ident | ( |  | $item | ) |

Redmatrix\Import\Import::get_itemlist | ( |  | ) |

Referenced by Redmatrix\Import\Import\run().

Redmatrix\Import\Import::get_taxonomy | ( |  | $item_ident | ) |

Referenced by Redmatrix\Import\Import\run().

Redmatrix\Import\Import::run | ( |  | ) |

Redmatrix\Import\Import::store | ( |  | $item,
|  |  | $update = `false`
| ) |  |

## Member Data Documentation

Redmatrix\Import\Import::$credentials = null

Redmatrix\Import\Import::$itemlist = null

Redmatrix\Import\Import::$items = null

Redmatrix\Import\Import::$src_items = null

The documentation for this class was generated from the following file:

- include/Import/Importer.php